local currenversion = 2

function DefaultData(dover)
    local ver = -1
    if dover then
        ver = GetInt("savegame.mod.general.version")
    end

    if (not dover) or (not GetBool("savegame.mod.general.DataInit")) then
        --fly
        SetInt("savegame.mod.fly.FlyTiming", 15)
        SetString("savegame.mod.fly.DownKey", "ctrl")
        SetString("savegame.mod.fly.SpeedKey", "shift")
        SetString("savegame.mod.fly.NoclipKey", "N")
        SetString("savegame.mod.fly.FreecamKey", "V")
        SetString("savegame.mod.fly.PreciseKey", "alt")
        SetInt("savegame.mod.fly.camBaseSpeed", 25)
        SetInt("savegame.mod.fly.flyingMod", 230)
        SetInt("savegame.mod.fly.preciseMod", 45)
        SetInt("savegame.mod.fly.flyBaseSpeed", 15)
        SetBool("savegame.mod.fly.sandboxOnly", false)
        SetBool("savegame.mod.fly.healWhenDown", true)

        --hands
        SetInt("savegame.mod.hands.toolgroup", 1)

        --sprint
        SetBool("savegame.mod.sprint.limit", true)
        SetBool("savegame.mod.sprint.disableBT", false)
        SetInt("savegame.mod.sprint.time", 8)
        SetString("savegame.mod.sprint.sprintkey", "shift")
        SetString("savegame.mod.sprint.walkKey", "alt")
        SetInt("savegame.mod.sprint.speed", 10)
        SetInt("savegame.mod.sprint.walkspeed", 250)

        --physics
        SetString("savegame.mod.physics.toggleKB", "P")
        SetBool("savegame.mod.physics.easeTrans", false)
        SetBool("savegame.mod.physics.cancelMvmnt", false)
        SetBool("savegame.mod.physics.enforce", true)
        SetInt("savegame.mod.physics.bulletdest", 20)
        SetBool("savegame.mod.physics.smartUpdate", false)

        --horn
        SetString("savegame.mod.horn.hornkey", "H")
        SetInt("savegame.mod.horn.fadespeed", 5)

        --global
        SetBool("savegame.mod.global.fly.enabled", true)
        SetBool("savegame.mod.global.sprint.enabled", true)
        SetBool("savegame.mod.global.hands.enabled", true)
        SetBool("savegame.mod.global.phys.enabled", true)
        SetBool("savegame.mod.global.horn.enabled", true)
        SetBool("savegame.mod.global.debris.enabled", true)
        SetBool("savegame.mod.global.sideinfo", true)
        SetString("savegame.mod.example.keybind", "A")
        SetBool("savegame.mod.example.toggle", false)
        SetInt("savegame.mod.example.slider", 50)
        SetBool("savegame.mod.general.DataInit", true)
    end

    if ver < 2 then --V1.2
        SetBool("savegame.mod.fly.doDoubleTap", true)
        SetString("savegame.mod.fly.flykey", "space")
        SetBool("savegame.mod.global.speedmtr.enabled", true)
        SetBool("savegame.mod.speedmtr.kph", true)
        SetInt("savegame.mod.speedmtr.lim", 180)
    end
    SetInt("savegame.mod.general.version", currenversion)
end